> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync Committee Rewards By Slot



## OpenAPI

````yaml get /v0/eth/blocks/{consensus_slot}/syncCommitteeRewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/blocks/{consensus_slot}/syncCommitteeRewards:
    get:
      tags:
        - Blocks
      summary: Get Sync Committee Rewards By Slot
      operationId: >-
        get_sync_committee_rewards_by_slot_v0_eth_blocks__consensus_slot__syncCommitteeRewards_get
      parameters:
        - name: consensus_slot
          in: path
          required: true
          schema:
            type: integer
            minimum: 0
            title: Consensus Slot
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 512
            title: Limit
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSyncCommitteeRewards'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedSyncCommitteeRewards:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/SyncCommitteeRewards'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
        - next
      title: PaginatedSyncCommitteeRewards
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        size:
          type: integer
          exclusiveMinimum: 0
          title: Size
          default: 10
        granularity:
          anyOf:
            - $ref: '#/components/schemas/GranularityEnum'
            - type: 'null'
        filterType:
          anyOf:
            - $ref: '#/components/schemas/FilterTypeEnum'
            - type: 'null'
      type: object
      title: Page
    SyncCommitteeRewards:
      properties:
        epoch:
          type: integer
          minimum: 0
          title: Epoch
        consensusSlot:
          type: integer
          minimum: 0
          title: Consensusslot
        validatorIndex:
          type: integer
          minimum: 0
          title: Validatorindex
        syncCommitteeRewards:
          type: string
          title: Synccommitteerewards
        blockTimestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Blocktimestamp
      type: object
      required:
        - epoch
        - consensusSlot
        - validatorIndex
        - syncCommitteeRewards
        - blockTimestamp
      title: SyncCommitteeRewards
      examples:
        - blockTimestamp: '2023-10-09T11:00:47'
          consensusSlot: 7502102
          epoch: 234440
          syncCommitteeRewards: 22249
          validatorIndex: 888078
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    GranularityEnum:
      type: string
      enum:
        - hour
        - day
        - week
        - month
        - quarter
        - year
        - all
      title: GranularityEnum
    FilterTypeEnum:
      type: string
      enum:
        - hour
        - day
        - datetime
      title: FilterTypeEnum
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````